// XSDebugDlg.h : header file
//
//
// Justin Backman
// 2/12/1998
#if !defined(AFX_XSDEBUGDLG_H__F70F3686_A3BD_11D1_A5F5_00C0F0283D56__INCLUDED_)
#define AFX_XSDEBUGDLG_H__F70F3686_A3BD_11D1_A5F5_00C0F0283D56__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CXSDebugDlg dialog

class CXSDebugDlg : public CDialog
{
// Construction
public:
	CXSDebugDlg(CWnd* pParent = NULL);	// standard constructor
	// Function for refreshing the display
	void Refresh();
// Dialog Data
	//{{AFX_DATA(CXSDebugDlg)
	enum { IDD = IDD_XSDEBUG_DIALOG };
	CSliderCtrl	m_SetClk;
	CEdit	m_DSel3H;
	CEdit	m_DSel3;
	CEdit	m_DSel2H;
	CEdit	m_DSel2;
	CEdit	m_DSel1H;
	CEdit	m_DSel1;
	CEdit	m_DSel0H;
	CEdit	m_DSel0;
	CEdit	m_DinL;
	CEdit	m_DinLH;
	CEdit	m_DispRun;
	CEdit	m_DinHH;
	CEdit	m_DinH;
	CButton	m_SingleStep;
	CButton	m_SetDin;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXSDebugDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CXSDebugDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSetDin();
	afx_msg void OnSingleStep();
	afx_msg void OnClkHi();
	afx_msg void OnClkLow();
	afx_msg void OnClkRun();
	afx_msg void OnClose();
	afx_msg void OnReset();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_XSDEBUGDLG_H__F70F3686_A3BD_11D1_A5F5_00C0F0283D56__INCLUDED_)

// Function declaration for binary to hex convertor
CString bin2hex(CString temp);
// Transmit function declaration
void xmit(CString temp);
// Recieve function declaration
CString recv(void);
// Creates an error message box
void error(CString temp);
//Function called by the timer to refresh the window
void CALLBACK EXPORT TimerProc(HWND hWnd,UINT nMsg,UINT nIDEvent, DWORD dwTime );
